﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// レーザーの物理計算用のクラスです。
    /// </summary>
    class LPhy
    {
        /// <summary>
        /// 回転フラグ。
        /// </summary>
        public int conv_flag;

        /// <summary>
        /// ?
        /// </summary>
        public double time;

        /// <summary>
        /// ?
        /// </summary>
        public double base_ang;

        /// <summary>
        /// ?
        /// </summary>
        public double angle;

        /// <summary>
        /// 回転元の X座標。
        /// </summary>
        public double conv_x;

        /// <summary>
        /// 回転元の Y座標。
        /// </summary>
        public double conv_y;

        /// <summary>
        /// 回転基準位置 X座標。
        /// </summary>
        public double conv_base_x;

        /// <summary>
        /// 回転基準位置 Y座標。
        /// </summary>
        public double conv_base_y;

        /// <summary>
        /// 初期化します。
        /// </summary>
        public void initialize()
        {
            this.conv_flag = 0;
            this.time = 0.0;
            this.base_ang = 0.0;
            this.angle = 0.0;
            this.conv_x = 0.0;
            this.conv_y = 0.0;
            this.conv_base_x = 0.0;
            this.conv_base_y = 0.0;
        }

        /// <summary>
        /// レーザーの物理演算を登録します。
        /// </summary>
        /// <param name="lazer">レーザー</param>
        /// <param name="time">時間</param>
        /// <param name="angle">角度</param>
        public void input_lphy(Lazer lazer, int time, double angle)
        {
            this.angle = angle;
            this.base_ang = lazer.angle;
            this.time = time;
        }
    }
}
